Bug 751264 - Search in Translation Editor: Ghost content appears on 1st result when click on 2nd to last result.
Summary: Search in Translation Editor: Ghost content appears on 1st result when click ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 1.5-SNAPSHOT
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Depends On:
Blocks: Zanata-1.4.3
TreeView+ depends on / blocked
 
Reported: 2011-11-04 05:00 UTC by Ding-Yi Chen
Modified: 2012-04-23 04:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 755799 (view as bug list)
Environment:
Last Closed: 2012-04-23 04:32:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 755799 None None None Never

Internal Links: 755799

Description Ding-Yi Chen 2011-11-04 05:00:14 UTC
Description of problem:
On searching a string in translation editor, 
when clicking on 2nd, 3rd .., or last result, the Ghost content, apparently the translation of first entry, is "pasted" on 1st result.

Version-Release number of selected component (if applicable):
Zanata version 1.5-SNAPSHOT (20111027-1415)

How reproducible:
Always

Steps to Reproduce:
1. Visit project IBusChewing, version master, language zh-Hans, document ibus-chewing.
2. Now should be at message view. Type "disable" in search field.
3. Click on the 3rd result.
  
Actual results:
"无缺省值,略去。", came from the 1st entry of the document, suddenly appear in the 1st result.

Expected results:
1st result should be remain empty.

Additional info:
This bug only appear in 1.5, but not 1.4.

Comment 1 Alex Eng 2011-11-08 21:25:05 UTC
Problem appears in 1.4 as well.

Comment 2 Alex Eng 2011-11-09 00:31:31 UTC
Problem occurs due to the "Enter" key capturing. Problem occurs only in 1.5 branch.

Comment 3 Alex Eng 2011-11-09 01:05:17 UTC
Problem fixed in 1.5 branch. See https://github.com/zanata/zanata/commit/a97b026b69bccb34f463a95b1b1cd5dbfcade82d

Comment 4 Alex Eng 2011-11-11 05:40:51 UTC
Problem found in 1.4 as well. 
See https://github.com/zanata/zanata/commit/c949db8dc17ebf2078d36d9867833a3b3692fd68 for fix in 1.4

Comment 5 Alex Eng 2011-11-22 05:36:38 UTC
Duplication of this bug: 755799

Comment 6 Ding-Yi Chen 2011-11-29 05:59:17 UTC
Actually 755799 contains two issues:
One is this bug, and another is failed to displayed the translated content on row 2, 3, ...

Comment 7 Ding-Yi Chen 2011-11-29 06:04:09 UTC
VERIFIED with:

Zanata version 1.4.3-alpha-3-SNAPSHOT (20111128-1300)
Zanata version 1.5-SNAPSHOT (20111129-0927)


Note You need to log in before you can comment on or make changes to this bug.